import 'package:cresce_ui/cresce_ui.dart';
import 'package:flutter/material.dart';
import 'package:intl/date_symbol_data_local.dart';

void main() {
  initializeDateFormatting();
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return const MaterialApp(
      title: 'Flutter Demo',
      debugShowCheckedModeBanner: false,
      home: Material(
        child: Center(
          child: Padding(
            padding: EdgeInsets.all(30.0),
            child: CBigModal(
              child: Column(
                children: [
                  CInputText(
                    label: 'Password',
                    isPassword: true,
                  ),
                  CInputText(
                    label: 'normal field',
                  ),
                  CInputText(
                    label: 'normal field',
                    keyboardType: TextInputType.multiline,
                  ),
                ],
              ),
            ),
          ),
        ),
      ),
    );
  }
}
