part of '../cresce_ui.dart';

class CDataPlaceholder extends StatelessWidget {
  final String text;
  final VoidCallback? onTap;
  final Size size;

  const CDataPlaceholder({
    super.key,
    required this.text,
    this.onTap,
    this.size = const Size(180, 87),
  });

  @override
  Widget build(BuildContext context) {
    return CSmallModal(
      onTap: onTap,
      size: size,
      child: Center(
        child: CText(
          label: text,
          style: CTextStyles.captionSecondaryVar1,
        ),
      ),
    );
  }
}
