part of '../cresce_ui.dart';

class CPageTitle extends StatelessWidget {
  final String title;
  final double? width;

  const CPageTitle({super.key, required this.title, this.width});

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: <Widget>[
        Padding(
          padding: const EdgeInsets.only(left: 12.0, bottom: 7),
          child: Text(title, style: CTextStyles.captionPrimary),
        ),
        CDivider(width: width),
      ],
    );
  }
}
